Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::ContainerSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Container. More...

`#include <xfc/gtk/containersignals.hh>`

Inheritance diagram for Xfc::Gtk::ContainerSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_add (Widget &widget)
    Called when a new child widget is added to the container.
- virtual void on_remove (Widget &widget)
    Called when a child widget is removed from the container.
- virtual void on_check_resize ()
    Called when a container needs to check whether it should resize or when one of its children queues a resize request.
- virtual void on_set_focus_child (Widget *widget)
    Called when the container sets the focus on a child.

## Protected Member Functions

Constructors

- ContainerSignals (Container *container)
    Construct a new ContainerSignals object.
- virtual ~ContainerSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Container.

## Constructor & Destructor Documentation

Xfc::Gtk::ContainerSignals::ContainerSignals | ( | Container * | container | ) | `[protected]`

Construct a new ContainerSignals object.

Parameters:

  | container | A Container object inheriting the ContainerSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::ContainerSignals::on_add | ( | Widget & | widget | ) | `[virtual]`

Called when a new child widget is added to the container.

Parameters:

  | widget | The widget added to the container

virtual void Xfc::Gtk::ContainerSignals::on_check_resize | ( |  | ) | `[virtual]`

| Called when a container needs to check whether it should resize or when one of its children queues a resize request. Only useful when writing a special custom widget.

virtual void Xfc::Gtk::ContainerSignals::on_remove | ( | Widget & | widget | ) | `[virtual]`

Called when a child widget is removed from the container.

Parameters:

  | widget | The widget removed from the container

virtual void Xfc::Gtk::ContainerSignals::on_set_focus_child | ( | Widget * | widget | ) | `[virtual]`

Called when the container sets the focus on a child.

Parameters:

  | widget | The widget that receives the focus. Only useful when writing a special custom widget.

The documentation for this class was generated from the following file:

- containersignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3